Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AuthorizationStateWaitPassword

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AuthorizationState
it.tdlight.jni.TdApi.AuthorizationStateWaitPassword

Enclosing class:
  TdApi

public static final class TdApi.AuthorizationStateWaitPassword extends TdApi.AuthorizationState
The user has been authorized, but needs to enter a 2-step verification password to start using the application. Call checkAuthenticationPassword to provide the password, or requestAuthenticationPasswordRecovery to recover the password, or deleteAccount to delete the account after a week.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`hasPassportData`
True, if some Telegram Passport elements were saved.
`boolean`
`hasRecoveryEmailAddress`
True, if a recovery email address has been set up.
`String`
`passwordHint`
Hint for the password; may be empty.
`String`
`recoveryEmailAddressPattern`
Pattern of the email address to which the recovery email was sent; empty until a recovery email has been sent.

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationStateWaitPassword()`
The user has been authorized, but needs to enter a 2-step verification password to start using the application.
`AuthorizationStateWaitPassword(DataInput input)`
The user has been authorized, but needs to enter a 2-step verification password to start using the application.
`AuthorizationStateWaitPassword(String passwordHint, boolean hasRecoveryEmailAddress, boolean hasPassportData, String recoveryEmailAddressPattern)`
The user has been authorized, but needs to enter a 2-step verification password to start using the application.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### passwordHint

public String passwordHint
Hint for the password; may be empty.

### hasRecoveryEmailAddress

public boolean hasRecoveryEmailAddress
True, if a recovery email address has been set up.

### hasPassportData

public boolean hasPassportData
True, if some Telegram Passport elements were saved.

### recoveryEmailAddressPattern

public String recoveryEmailAddressPattern
Pattern of the email address to which the recovery email was sent; empty until a recovery email has been sent.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AuthorizationStateWaitPassword

public AuthorizationStateWaitPassword()
The user has been authorized, but needs to enter a 2-step verification password to start using the application. Call checkAuthenticationPassword to provide the password, or requestAuthenticationPasswordRecovery to recover the password, or deleteAccount to delete the account after a week.

### AuthorizationStateWaitPassword

public AuthorizationStateWaitPassword(String passwordHint, boolean hasRecoveryEmailAddress, boolean hasPassportData, String recoveryEmailAddressPattern)
The user has been authorized, but needs to enter a 2-step verification password to start using the application. Call checkAuthenticationPassword to provide the password, or requestAuthenticationPasswordRecovery to recover the password, or deleteAccount to delete the account after a week.

Parameters:
  `passwordHint` - Hint for the password; may be empty.
  `hasRecoveryEmailAddress` - True, if a recovery email address has been set up.
  `hasPassportData` - True, if some Telegram Passport elements were saved.
  `recoveryEmailAddressPattern` - Pattern of the email address to which the recovery email was sent; empty until a recovery email has been sent.

### AuthorizationStateWaitPassword

public AuthorizationStateWaitPassword(DataInput input) throws IOException
The user has been authorized, but needs to enter a 2-step verification password to start using the application. Call checkAuthenticationPassword to provide the password, or requestAuthenticationPasswordRecovery to recover the password, or deleteAccount to delete the account after a week.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`